package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class ApplicationTemplateDTO implements Serializable{
	
	private String applicationTemplateId;

    private String applicationTemplateName;
    
    private List<String> applicationIds;

    private Integer statusFlag;

    private Integer defaultFlag;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public String getApplicationTemplateId() {
        return applicationTemplateId;
    }

    public void setApplicationTemplateId(String applicationTemplateId) {
        this.applicationTemplateId = applicationTemplateId == null ? null : applicationTemplateId.trim();
    }

    public String getApplicationTemplateName() {
        return applicationTemplateName;
    }

    public void setApplicationTemplateName(String applicationTemplateName) {
        this.applicationTemplateName = applicationTemplateName == null ? null : applicationTemplateName.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Integer defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public List<String> getApplicationIds() {
		return applicationIds;
	}

	public void setApplicationIds(List<String> applicationIds) {
		this.applicationIds = applicationIds;
	}

    
}
